## vitrage 15.0.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
alembic>=0.9.8  # MIT
cachetools>=2.0.1 # MIT License
cryptography>=2.7 # BSD/Apache-2.0
lxml>=4.5.2 # BSD
PyMySQL>=0.8.0 # MIT License
python-dateutil>=2.7.0 # BSD
networkx>=3.4 # BSD
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.messaging>=5.36.0 # Apache-2.0
oslo.middleware>=3.35.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
pecan>=1.2.1 # BSD
PasteDeploy>=1.5.2 # MIT
Werkzeug>=0.14.1 # BSD License
keystonemiddleware>=4.21.0 # Apache-2.0
stevedore>=1.28.0 # Apache-2.0
voluptuous>=0.11.1 # BSD License
SQLAlchemy>=1.4.0 # MIT
sympy>=1.1.1 # BSD
pysnmp>=7.1.0  # BSD
PyJWT>=1.6.0 # MIT
osprofiler>=2.0.0 # Apache-2.0
keystoneauth1>=3.6.2 # Apache-2.0
PyYAML>=5.1 # MIT
requests>=2.20.0 # Apache-2.0
WebOb>=1.7.4 # MIT
eventlet!=0.20.1,>=0.20.0 # MIT
debtcollector>=1.19.0 # Apache-2.0
cotyledon>=1.6.8 # Apache-2.0
tenacity>=4.12.0
tooz>=1.58.0 # Apache-2.0
psutil>=5.4.3 # BSD
jsonschema>=3.2.0 # MIT

=== debian/changelog ===
vitrage (15.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Oct 2025 16:21:33 +0200

vitrage (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 22:41:15 +0200

=== debian/control ===
Source: vitrage
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-hacking,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-networkx (>= 3.4),
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp (>= 7),
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-sympy,
 python3-tenacity,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-vitrageclient,
 python3-voluptuous,
 python3-webob,
 python3-webtest,
 python3-werkzeug,
 python3-yaml,
 python3-zake,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
Homepage: https://github.com/openstack/vitrage.git

Package: python3-vitrage
Section: python
Architecture: all
Depends:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-cryptography,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-networkx (>= 3.4),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp (>= 7),
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sympy,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Python libs
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the Python libraries.

Package: vitrage-api
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - API server
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the REST API server.

Package: vitrage-collector
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Collector service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Collector service.

Package: vitrage-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-vitrage (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - metapackage
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package is a metapackage that helps installing all of Vitrage at once.

Package: vitrage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-bootstrap5,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack RCA as a Service - documentation
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package contains the documentation.

Package: vitrage-graph
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Graph service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Graph service.

Package: vitrage-ml
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Machine Learning Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Machine learning service.

Package: vitrage-notifier
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Notifier Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Notifier service.

Package: vitrage-persistor
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Persistor Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Persistor Service.

Package: vitrage-snmp-parsing
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - SNMP Parsing Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage SNMP Parsing Service.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	find . -iname '*.pyc' -delete
	find . -name '*.db' -delete
	rm -rf .eggs
	rm -rf build debian/po *.egg-info
	rm -f ChangeLog AUTHORS
	rm -f doc/source/_static/vitrage.conf.sample
	rm -f etc/vitrage/policy.yaml.sample
	rm -f debian/vitrage-common.postinst debian/vitrage-common.config debian/vitrage-api.config debian/vitrage-api.postinst debian/vitrage-common.postrm
	rm -f debian/*.templates
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm vitrage-common.postrm
	pkgos-merge-templates vitrage-api vitrage endpoint
	pkgos-merge-templates vitrage-common vitrage db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

# These fail in Bookworm backport with:
# "sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked"
# vitrage.tests.unit.evaluator.test_scenario_repository.EquivalentScenarioTest.test_expansion
# vitrage.tests.unit.evaluator.test_equivalence_repository.TestEquivalenceRepository.test_duplicate_entities_in_equivalence
# vitrage.tests.unit.evaluator.test_scenario_repository.RegExTemplateTest.test_basic_regex
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.unit\.(?!(.*evaluator\.test_scenario_repository\.ScenarioRepositoryTest.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_regex_with_exact_match.*|.*evaluator\.template_validation\.test_template_validator_v3\.TemplateValidatorV3Test.*|.*evaluator\.template_loading\.test_template_loading_v3\.TemplateLoaderV3Test.*|.*evaluator\.test_template_loader\.TemplateLoaderTest\.test_basic_template_with_include.*|.*datasources\.collectd\.test_collectd_transformer\.TestCollectdTransformer\.test_create_update_entity_vertex.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_basic_regex_with_no_match.*|evaluator\.test_scenario_repository\.EquivalentScenarioTest\.test_expansion|evaluator\.test_equivalence_repository\.TestEquivalenceRepository\.test_duplicate_entities_in_equivalence|evaluator\.test_scenario_repository\.RegExTemplateTest\.test_basic_regex))'
endif

	# Generate configs
	mkdir -p $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--config-file $(CURDIR)/etc/vitrage/vitrage-config-generator.conf \
	        --output-file $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf \
	        --wrap-width 140

	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--config-file $(CURDIR)/etc/vitrage/vitrage-policy-generator.conf \
		--output-file $(CURDIR)/debian/vitrage-common/etc/vitrage/policy.d/00_default_policy.yaml \
		--format yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf oslo_policy policy_dirs /etc/vitrage/policy.d

	pkgos-fix-config-default $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf oslo_concurrency lock_path /var/lock/vitrage

	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values
	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/static_datasources
	cp -av $(CURDIR)/etc/vitrage/api-paste.ini $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/api-paste.ini
	cp -av $(CURDIR)/etc/vitrage/datasources_values/* $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values/


	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/vitrage-doc/usr/share/doc/vitrage-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
